import * as React from 'react';
import { ProviderProps } from './types';
interface Store {
    [key: string]: any;
}
interface StateData<T> {
    stateHook: () => T;
    updaterHook: () => React.Dispatch<React.SetStateAction<T>>;
}
interface StateDataList {
    [key: string]: StateData<any>;
}
interface RhinoProviderProps extends ProviderProps {
    store: Store;
}
declare const RhinoProvider: React.FC<RhinoProviderProps>;
export declare const useStateDataList: () => StateDataList;
export default RhinoProvider;
